#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x2_eeprom_init, 0xa1c19f57, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xd2a4a50d, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x3e0e738d, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xede0f2e4, "_gpl");
SYMBOL_CRC(mt76x2_read_rx_gain, 0x3b015c0e, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xa9bedd59, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x41fe8889, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x50afcdd6, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x4fa5f2dc, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x4d69d0a1, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xdc277a25, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x36c59888, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x291bff80, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x7b254dde, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x4b2f0c45, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x0bf96467, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x8cbb24e8, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x94ab1b21, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xf9f46c6a, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x74b4af76, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb34ed729, "mt76_init_sar_power" },
	{ 0x997c74, "mt76x02_phy_adjust_vga_gain" },
	{ 0x579af1b5, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xcd4c9c3c, "devm_kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x18153e20, "mt76x02_ext_pa_enabled" },
	{ 0x94607dda, "mt76x02_get_efuse_data" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xa56119c4, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xf0bb05ad, "mt76_eeprom_init" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x3aa93d83, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xe2765bd, "mt76_mcu_send_and_get_msg" },
	{ 0xeb7b50ea, "of_find_property" },
	{ 0x8da2dc79, "mt76_eeprom_override" },
	{ 0x2281f728, "mt76x02_get_lna_gain" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x719479ef, "mt76_get_sar_power" },
	{ 0x3923862, "mt76x02_eeprom_copy" },
	{ 0x795c60eb, "mt76x02_mcu_calibrate" },
	{ 0x85ab334c, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x5cb55139, "mt76_get_min_avg_rssi" },
	{ 0x9514151a, "_mcount" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");

MODULE_INFO(suserelease, "SLE15-SP6");
